> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-import/ootb-data-class.md).

# OOTB Data Class

Management of `Out-of-the-box Data Classes`

## Find Out-Of-The-Box Data Classes

> Returns \`Out-of-the-box Data Classes\` with their import status.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"tags":[{"name":"OOTB Data Class","description":"Management of `Out-of-the-box Data Classes`"}],"servers":[{"url":"/rest/dataClassImport/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"Offset":{"name":"offset","in":"query","required":false,"description":"The index of the first result to retrieve.\n\nIf not set (offset = `0`), results will be retrieved starting from row `0`.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}}},"schemas":{"OotbDataClassPagedResponse":{"type":"object","required":["results"],"properties":{"results":{"type":"array","description":"List of OOTB Data Classes paginated","items":{"$ref":"#/components/schemas/OotbDataClass"}}}},"OotbDataClass":{"type":"object","required":["name","status","types","rules"],"properties":{"name":{"type":"string","description":"The name of OOTB Data Class"},"status":{"type":"string","description":"The import status of OOTB Data Class.\n\nValues can be:\n- `NEW`\n- `EXISTS`\n- `EXISTS-DIFFERENT`\n"},"types":{"type":"array","items":{"type":"string"},"description":"Types of rules currently associated to the OOTB Data Class if any\n"},"rules":{"$ref":"#/components/schemas/ClassificationRules"}}},"ClassificationRules":{"type":"array","description":"`Classification Rules` defined for the OOTB Data Class.\n","items":{"$ref":"#/components/schemas/ClassificationRule"}},"ClassificationRule":{"description":"A `ClassificationRule` defines a representation of a rule.\n","oneOf":[{"$ref":"#/components/schemas/RegularExpressionBasedClassificationRule"},{"$ref":"#/components/schemas/DataTypeBasedClassificationRule"},{"$ref":"#/components/schemas/ListOfValuesBasedClassificationRule"}],"discriminator":{"propertyName":"type","mapping":{"REGULAR_EXPRESSION":"#/components/schemas/RegularExpressionBasedClassificationRule","DATA_TYPE":"#/components/schemas/DataTypeBasedClassificationRule","LIST_OF_VALUES":"#/components/schemas/ListOfValuesBasedClassificationRule"}}},"RegularExpressionBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseRegularExpressionBasedClassificationRule"}]},"BaseClassificationRule":{"type":"object","required":["type"],"properties":{"type":{"type":"string","description":"RuleType used by the rule.\n\nThe following values are currently supported:\n  - `REGULAR_EXPRESSION`\n  - `DATA_TYPE`\n  - `LIST_OF_VALUES`\n"}}},"BaseRegularExpressionBasedClassificationRule":{"type":"object","properties":{"regularExpression":{"type":"string","description":"A regular expression.\n"}}},"DataTypeBasedClassificationRule":{"allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseDataTypeBasedClassificationRule"}]},"BaseDataTypeBasedClassificationRule":{"type":"object","properties":{"dataTypes":{"type":"array","description":"The list of data types defining this rule.","items":{"$ref":"#/components/schemas/DataType"}}}},"DataType":{"type":"string","description":"A data type.\n"},"ListOfValuesBasedClassificationRule":{"description":"`Classification Rule` based on a `List Of Values` defined inline as an array of values.\n","allOf":[{"$ref":"#/components/schemas/BaseClassificationRule"},{"$ref":"#/components/schemas/BaseListOfValuesBasedClassificationRule"}]},"BaseListOfValuesBasedClassificationRule":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string"},"description":"Values defined as an array of strings.\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/ootbDataClasses":{"get":{"tags":["OOTB Data Class"],"summary":"Find Out-Of-The-Box Data Classes","description":"Returns `Out-of-the-box Data Classes` with their import status.\n","operationId":"findOotbDataClasses","parameters":[{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"`OOTB Data Class` retrieved successfully\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OotbDataClassPagedResponse"}}}},"400":{"description":"Invalid request to find `OOTB Data Classes`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```

## Import OOTB Data Classes

> It allows to import one or more OOTB data classes by their names.\
> Requests to import OOTB Data Classes are transactional in nature hence either they are all\
> imported successfully or an error response will be returned<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Class Importer API","version":"0.0.1"},"tags":[{"name":"OOTB Data Class","description":"Management of `Out-of-the-box Data Classes`"}],"servers":[{"url":"/rest/dataClassImport/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"schemas":{"ImportOotbDataClassesRequest":{"type":"object","description":"Request to import one or more `OOTB Data Classes`. `ootbNames` is mandatory and cannot be empty\n","required":["dataClassNames"],"properties":{"dataClassNames":{"$ref":"#/components/schemas/dataClassNames"}}},"dataClassNames":{"type":"array","items":{"type":"string"},"minItems":1,"maxItems":1000,"description":"Names of the Data Classes to import\n"},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/ootbDataClasses/import":{"post":{"summary":"Import OOTB Data Classes","description":"It allows to import one or more OOTB data classes by their names.\nRequests to import OOTB Data Classes are transactional in nature hence either they are all\nimported successfully or an error response will be returned\n","operationId":"importOotbDataClasses","tags":["OOTB Data Class"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportOotbDataClassesRequest"}}}},"responses":{"204":{"description":"OOTB Data Classes successfully imported.\n"},"400":{"description":"Invalid request to import OOTB Data Classes\n"},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"409":{"description":"One or more data classes sent to import where modified in the meanwhile by another user.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-class-import/ootb-data-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
